<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>mbigint_p_s</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="mbigint_p_bigint.html">&lt;&lt; mbigint_p_bigint</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="mbigint_q_bigint.html">mbigint_q_bigint &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a> &gt; mbigint_p_s</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">mbigint_p_s</h1>
    <p class="refpurpose">overloading  compatibility  for #94; ( power) operator with mbigint/double</p></div>


<div class="refsynopsisdiv"><h3 class="title">Calling Sequence</h3>
   <div class="synopsis"><pre><span class="default">z</span><span class="default">=</span><span class="default">x</span><span class="default">^</span><span class="default">y</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">x, z:</span>
      <dd><p class="para">mbigint</p></dd></dt>
   <dt><span class="term">y :</span>
      <dd><p class="para">double(scalar)</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">mbigint/double exponentiation ( power)</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><a class="scilabcommand" href="scilab://format">format</a><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">v</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabnumber">20</span><span class="scilabopenclose">)</span>
<span class="scilabid">M</span><span class="scilaboperator">=</span><span class="scilabid">mbigint</span><span class="scilabopenclose">(</span><span class="scilabopenclose">[</span><span class="scilabnumber">1</span> <span class="scilabnumber">2</span> <span class="scilabdefault">;</span> <span class="scilabnumber">3</span> <span class="scilabnumber">4</span><span class="scilabopenclose">]</span><span class="scilabopenclose">)</span>
<span class="scilabid">e</span><span class="scilaboperator">=</span><span class="scilabnumber">10</span>
<span class="scilabid">M</span><span class="scilaboperator">^</span><span class="scilabid">e</span>
<span class="scilabopenclose">[</span><span class="scilabnumber">1</span> <span class="scilabnumber">2</span> <span class="scilabdefault">;</span> <span class="scilabnumber">3</span> <span class="scilabnumber">4</span><span class="scilabopenclose">]</span><span class="scilaboperator">^</span><span class="scilabnumber">10</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="bigint.html" class="link">bigint</a></li>
   <li class="member"><a href="mbigint_p_bigint.html" class="link">mbigint_p_bigint</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="mbigint_p_bigint.html">&lt;&lt; mbigint_p_bigint</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="mbigint_q_bigint.html">mbigint_q_bigint &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
